SessionUtil (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.server.util

## Class SessionUtil

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.server.util.SessionUtil

-     public class SessionUtil
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `logger`
    `static HashMap<String,ReconciliationService>` | `mapReconcilationService`
    `static String` | `RECONCILIATION_SERVICE`
    `static String` | `TEST_SCOPE`
    `static String` | `TEST_USER`
    `static String` | `USERNAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.gcube.application.framework.core.session.ASLSession` | `getAslSession(javax.servlet.http.HttpSession httpSession)`
    `static CsvImportServer` | `getCsvImportServer(org.gcube.application.framework.core.session.ASLSession session)`
    `static org.apache.log4j.Logger` | `getLogger()`
    `static ReconciliationService` | `getService(org.gcube.application.framework.core.session.ASLSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USERNAME_ATTRIBUTE

          public static final String USERNAME_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### RECONCILIATION_SERVICE

          public static final String RECONCILIATION_SERVICE

      See Also:
        Constant Field Values

    - #### TEST_SCOPE

          public static final String TEST_SCOPE

      See Also:
        Constant Field Values

    - #### TEST_USER

          public static final String TEST_USER

      See Also:
        Constant Field Values

    - #### logger

          public static org.apache.log4j.Logger logger

    - #### mapReconcilationService

          public static HashMap<String,ReconciliationService> mapReconcilationService

  - ### Constructor Detail

    - #### SessionUtil

          public SessionUtil()

  - ### Method Detail

    - #### getAslSession

          public static org.gcube.application.framework.core.session.ASLSession getAslSession(javax.servlet.http.HttpSession httpSession)

    - #### getService

          public static ReconciliationService getService(org.gcube.application.framework.core.session.ASLSession session)
                                                  throws Exception

      Throws:
        `Exception`

    - #### getCsvImportServer

          public static CsvImportServer getCsvImportServer(org.gcube.application.framework.core.session.ASLSession session)
                                                    throws Exception

      Throws:
        `Exception`

    - #### getLogger

          public static org.apache.log4j.Logger getLogger()

Copyright © 2014. All Rights Reserved.